PeopleForce
Time

List timesheet entries

GET
/api/public/v3/time/timesheet_entries

Query Parameters

department_ids[]?array<integer>
division_ids[]?array<integer>
employee_ids[]?array<integer>
ends_on*string
Formatdate
location_ids[]?array<integer>
position_ids[]?array<integer>
project_ids[]?array<integer>
starts_on*string
Formatdate
status[]?array<string>
team_ids[]?array<integer>
type?string

Value in

  • "working"
  • "break"

Response Body

application/json

application/json

curl -X GET "https://example.com/api/public/v3/time/timesheet_entries?ends_on=2019-08-24&starts_on=2019-08-24"
{  "data": [    {      "id": 0,      "employee_id": 0,      "project_id": null,      "starts_at": null,      "ends_at": null,      "date": "string",      "minutes": 0,      "type": null,      "comment": null    }  ],  "metadata": {    "pagination": {      "page": 0,      "pages": 0,      "count": 0,      "items": 0    }  }}